package com.bocloud.cmp.model;

import java.util.Date;

public class NetworkDeviceBean {
    private Long id; // ID
    private String name; // 名称
    private String type; // 目标类型
    private String version; // 型号
    private String serial; // 序列号
    private String location; // 物理位置
    private String deviceName; // 设备名称
    private String assetTag; // 资产编号
    private String befrom; // 来源
    private String maker; // 制造商
    private String contractNo; // 服务合同号
    private Date serviceStart; // 服务开始时间
    private Date serviceEnd; // 服务到期时间
    private String vendor; // 服务提供商
    private String vendorPhone; // 服务提供商联系方式
    private String makerPhone; // 制造商联系方式
    private String hardware; // 硬件配置
    private String environment; // 所属环境
    private String serviceIp; // 服务IP地址
    private String servicePort; // 端口信息
    private String keyStore; // 主密钥存放信息
    private Long rackId; // 机柜Id
    private String remark; // 描述
    private String startCommand;// 启动脚本
    private String stopCommand;// 关闭脚本

    /**
     * @return the startCommand
     */
    public String getStartCommand() {
        return startCommand;
    }

    /**
     * @param startCommand the startCommand to set
     */
    public void setStartCommand(String startCommand) {
        this.startCommand = startCommand;
    }

    /**
     * @return the stopCommand
     */
    public String getStopCommand() {
        return stopCommand;
    }

    /**
     * @param stopCommand the stopCommand to set
     */
    public void setStopCommand(String stopCommand) {
        this.stopCommand = stopCommand;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the serial
     */
    public String getSerial() {
        return serial;
    }

    /**
     * @param serial the serial to set
     */
    public void setSerial(String serial) {
        this.serial = serial;
    }

    /**
     * @return the location
     */
    public String getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(String location) {
        this.location = location;
    }

    /**
     * @return the deviceName
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * @param deviceName the deviceName to set
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    /**
     * @return the assetTag
     */
    public String getAssetTag() {
        return assetTag;
    }

    /**
     * @param assetTag the assetTag to set
     */
    public void setAssetTag(String assetTag) {
        this.assetTag = assetTag;
    }

    /**
     * @return the befrom
     */
    public String getBefrom() {
        return befrom;
    }

    /**
     * @param befrom the befrom to set
     */
    public void setBefrom(String befrom) {
        this.befrom = befrom;
    }

    /**
     * @return the maker
     */
    public String getMaker() {
        return maker;
    }

    /**
     * @param maker the maker to set
     */
    public void setMaker(String maker) {
        this.maker = maker;
    }

    /**
     * @return the contractNo
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * @param contractNo the contractNo to set
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * @return the serviceStart
     */
    public Date getServiceStart() {
        return serviceStart;
    }

    /**
     * @param serviceStart the serviceStart to set
     */
    public void setServiceStart(Date serviceStart) {
        this.serviceStart = serviceStart;
    }

    /**
     * @return the serviceEnd
     */
    public Date getServiceEnd() {
        return serviceEnd;
    }

    /**
     * @param serviceEnd the serviceEnd to set
     */
    public void setServiceEnd(Date serviceEnd) {
        this.serviceEnd = serviceEnd;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /**
     * @return the vendorPhone
     */
    public String getVendorPhone() {
        return vendorPhone;
    }

    /**
     * @param vendorPhone the vendorPhone to set
     */
    public void setVendorPhone(String vendorPhone) {
        this.vendorPhone = vendorPhone;
    }

    /**
     * @return the makerPhone
     */
    public String getMakerPhone() {
        return makerPhone;
    }

    /**
     * @param makerPhone the makerPhone to set
     */
    public void setMakerPhone(String makerPhone) {
        this.makerPhone = makerPhone;
    }

    /**
     * @return the hardware
     */
    public String getHardware() {
        return hardware;
    }

    /**
     * @param hardware the hardware to set
     */
    public void setHardware(String hardware) {
        this.hardware = hardware;
    }

    /**
     * @return the environment
     */
    public String getEnvironment() {
        return environment;
    }

    /**
     * @param environment the environment to set
     */
    public void setEnvironment(String environment) {
        this.environment = environment;
    }

    /**
     * @return the serviceIp
     */
    public String getServiceIp() {
        return serviceIp;
    }

    /**
     * @param serviceIp the serviceIp to set
     */
    public void setServiceIp(String serviceIp) {
        this.serviceIp = serviceIp;
    }

    /**
     * @return the servicePort
     */
    public String getServicePort() {
        return servicePort;
    }

    /**
     * @param servicePort the servicePort to set
     */
    public void setServicePort(String servicePort) {
        this.servicePort = servicePort;
    }

    /**
     * @return the keyStore
     */
    public String getKeyStore() {
        return keyStore;
    }

    /**
     * @param keyStore the keyStore to set
     */
    public void setKeyStore(String keyStore) {
        this.keyStore = keyStore;
    }

    /**
     * @return the rackId
     */
    public Long getRackId() {
        return rackId;
    }

    /**
     * @param rackId the rackId to set
     */
    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
